class_name PawnBody extends Node3D

@export var projectile_template : PackedScene

@onready var anim_player : AnimationPlayer = %AnimationPlayer
@onready var ranged_point : Node3D = %RangedPoint
@onready var material : StandardMaterial3D = $Mesh.material

func play_animation(anim_name : String) -> void:
	anim_player.play(anim_name)
